Get bank account transactions
curl --request GET \
--url https://api.example.com/api/banking/transactions \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/banking/transactions"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/banking/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total": 100,
"page": 1,
"pageSize": 10
},
"data": [
{
"withdrawal": 1000.5,
"deposit": 2000.75,
"runningBalance": 3000.25,
"formattedWithdrawal": "$1,000.50",
"formattedDeposit": "$2,000.75",
"formattedRunningBalance": "$3,000.25",
"transactionNumber": "TRX-2024-001",
"referenceNumber": "REF-2024-001",
"referenceId": 12345,
"referenceType": "INVOICE",
"formattedTransactionType": "Bank Transfer",
"balance": 5000,
"formattedBalance": "$5,000.00",
"date": "2024-03-20T10:30:00Z",
"formattedDate": "March 20, 2024",
"status": "COMPLETED",
"formattedStatus": "Completed",
"uncategorizedTransactionId": 67890
}
]
}Banking Transactions
Get bank account transactions
GET
/
api
/
banking
/
transactions
Get bank account transactions
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
Page number for pagination
Example:
1
Number of items per page
Example:
10
Bank account ID
Example:
1
Number of decimal places to display
Example:
2
Whether to divide the number by 1000
Example:
false
Whether to show zero values
Example:
true
How to format money values
Available options:
total, always, none Example:
"total"
How to format negative numbers
Available options:
parentheses, mines Example:
"parentheses"